Generate Payment ID API

Generate a unique payment ID for use in embedded payment forms.

Endpoint Information

POST https://sandbox.moolre.com/open/account/generate

To test in sandbox, use https://sandbox.moolre.com/open/account/generate instead.

Authentication & Headers

Header NameTypeRequiredDescription
X-API-USERstringYesYour Moolre username.
X-API-PUBKEYstringYesYour Public API Key. (Not required in Sandbox)

Request Parameters

ParameterTypeRequiredDescription
typeintegerYesMust be 3.
amountstringYesAmount to be paid.
currencystringYesCurrency code (e.g., GHS).
externalrefstringYesUnique reference for the payment.
accountnumberstringYesYour Moolre Account Number.

Response Examples

200 - Success

Payment ID generated.

{
  "status": 1,
  "code": "AD14",
  "message": "Terminal Creation Successful",
  "data": {
    "paymentid": "08160984",
    "name": "Kofi Adeniyi",
    "qrcode": null
  },
  "go": null
}

← Back to AI Documentation Index | View Full API Reference